LibreOffice: GlobalSheetSettings Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
GlobalSheetSettings Service Referencepublished

contributes properties to access the settings for all spreadsheets of a spreadsheet document. More...

`import"GlobalSheetSettings.idl";`

Inheritance diagram for GlobalSheetSettings:

## Additional Inherited Members
Public Attributes inherited from XGlobalSheetSettings
boolean | MoveSelection
| specifies whether the cursor is moved after entering into cells. More...
short | MoveDirection
| contains the direction the cursor moves after entering cells. More...
boolean | EnterEdit
| specifies whether the enter key can be used to start editing a cell. More...
boolean | ExtendFormat
| specifies whether cell formatting is extended when entering data. More...
boolean | RangeFinder
| specifies whether ranges are highlighted on the sheet when editing a formula. More...
boolean | ExpandReferences
| specifies whether formula references are extended when cells are inserted below or to the right of them. More...
boolean | MarkHeader
| specifies whether the current selection is highlighted in column and row headers. More...
boolean | UseTabCol
| specifies whether the enter key moves the cursor to the column it was in before using the tab key to change columns. More...
short | Metric
| contains the metric for all spreadsheet documents. More...
short | Scale
| contains the default scale for new spreadsheet documents (in percent). More...
boolean | DoAutoComplete
| specifies whether automatic completion of text in a cell is used. More...
short | StatusBarFunction
| contains the function that is displayed in the status bar. More...
sequence< string > | UserLists
| contains the string lists used for sorting and filling. More...
short | LinkUpdateMode
| specifies the update mode for external linked data. More...
boolean | PrintAllSheets
| specifies whether all sheets or only selected sheets are printed. More...
boolean | PrintEmptyPages
| specifies whether empty pages are printed. More...
boolean | UsePrinterMetrics
| specifies whether printer metrics are used for display. More...
boolean | ReplaceCellsWarning
| specifies whether a warning is shown before replacing cells (i.e. More...

## Detailed Description

contributes properties to access the settings for all spreadsheets of a spreadsheet document.

For backwards compatibility, the attributes of XGlobalSheetSettings can still be accessed via com::sun::star::beans::XPropertySet, too.

Developers Guide
  Spreadsheets - Settings

The documentation for this service was generated from the following file:

- com/sun/star/sheet/GlobalSheetSettings.idl